{
  "name": "amos-industry-view",
  "version": "1.0.0",
  "private": true,
  "author": "ilex.h",
  "scripts": {
    "clean": "rimraf dist released",
    "build": "set NODE_ENV=production && npm run clean && webpack",
    "build:dev": "set NODE_ENV=development && npm run clean && webpack",
    "watch": "webpack -w",
    "server": "nodemon server/index.js --watch server",
    "start": "set NODE_ENV=development && webpack-dev-server",
    "start:tile": "set NODE_ENV=development && webpack-dev-server --config webpack.config.tile.js",
    "start1": "set NODE_ENV=development && nodemon --exec \"webpack-dev-server\"",
    "lint": "eslint src tests",
    "lint:fix": "npm run lint -- --fix",
    "format": "prettier --write \"src/**/*.{js,jsx,css,scss,less,sass}\"",
    "stylelint": "stylelint src",
    "zip": "amos-run released2zip",
    "pub:dev": "npm run build:dev && amos-run dllreleased",
    "pub": "npm run build && amos-run extraReleased",
    "pub1": "amos-run dllreleased",
    "pub2": "amos-run dllreleased-test",
    "precommit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,json,css}": [
      "prettier --write",
      "git add"
    ]
  },
  "dependencies": {
    "amos-3d": "^2.1.5",
    "amos-amap": "^1.0.8",
    "amos-antd": "^2.1.4",
    "amos-core": "^2.0.27",
    "amos-devgrid": "^1.0.10",
    "amos-dll": "^2.0.1",
    "amos-gojs": "^2.0.15",
    "amos-icon": "^1.0.3",
    "amos-pluggable": "^1.0.6",
    "amos-processor": "^1.2.17",
    "amos-richtext": "^1.0.1",
    "amos-rules-config": "^1.0.4",
    "amos-security": "^2.0.17",
    "amos-tool": "^1.x",
    "amos-viz": "^1.x",
    "amos-websocket": "^1.0.3",
    "cesium": "^1.61.0",
    "classnames": "^2.2.5",
    "dt2react": "^1.0.7",
    "mqtt": "^4.0.0",
    "ray-code-split": "^1.0.1",
    "ray-eventpool": "^1.0.0",
    "ray-mediaquery": "^1.0.0",
    "ray-progress": "^1.0.0",
    "react": "~16.3.2",
    "react-dom": "~16.3.3"
  },
  "devDependencies": {
    "amos-build": "^3.x",
    "amos-framework": "^1.1.9",
    "eslint-config-ray": "^1.0.25",
    "mockjs": "^1.0.1-beta3",
    "stylelint-config-ray": "^2.0.0"
  }
}
